﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Documents;
using System.Windows.Media;

namespace wpf_ChartView__980028
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ViewModelFlatness vm = new ViewModelFlatness();
            vm.Data = GenerateData();
            this.DataContext = vm;
        }

        private List<ChartDataFlatness> GenerateData()
        {
            List<ChartDataFlatness> data = new List<ChartDataFlatness>();

            for (int i = 0; i < 20000; i++)
            {
                data.Add(new ChartDataFlatness { XValue = i, YValue = i % 17 + i % 11 + i % 5 + i % 3, Brush = GetBrush(i) });
            }

            return data;
        }

        private Brush GetBrush(int index)
        {
            int i = index % 3;
            if (i == 0)
            {
                return Brushes.Red;
            }
            else if (i == 1)
            {
                return Brushes.Green;
            }
            else if (i == 2)
            {
                return Brushes.Blue;
            }
            else
            {
                return Brushes.Yellow;
            }
        }
    }
}
